#!/usr/bin/perl
# http://search.cpan.org/~ilyam/Data-Dumper-2.121/Dumper.pm

use Data::Dumper;

# simple procedural interface
print Dumper($foo, $bar);

# extended usage with names
print Data::Dumper->Dump([$foo, $bar], [qw(foo *ary)]);

# configuration variables
{
  local $Data::Dumper::Purity = 1;
  eval Data::Dumper->Dump([$foo, $bar], [qw(foo *ary)]);
}

# OO usage
$d = Data::Dumper->new([$foo, $bar], [qw(foo *ary)]);
print $d->Dump;

$d->Purity(1)->Terse(1)->Deepcopy(1);
eval $d->Dump;

